﻿using combit.Reporting;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DefineFieldsSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            using (ListLabel LL = new ListLabel())
            {
                LL.DefineFields += LL_DefineFields;
                LL.Design();
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            using (ListLabel LL = new ListLabel())
            {
                LL.DefineFields += LL_DefineFields;
                LL.Print();
            }
        }


        string[] _dataSource = new string[] { "A", "B", "C" };
        int _currentRecordIndex = 0;

        private void LL_DefineFields(object sender, DefineElementsEventArgs e)
        {
            (sender as ListLabel).Fields.Add("StringValue", _dataSource[_currentRecordIndex]);
            
            if (!e.IsDesignMode)
            {
                _currentRecordIndex++;
                if (_currentRecordIndex >= _dataSource.Length)
                    e.IsLastRecord = true;
            }
        }

    }
}
